1 2 3 Previous Next 35 Replies Latest reply: Jun 28, 2013 4:10 PM by palka71
Tylerp963 Level 1 Level 1 (0 points)

I am trying to download itunes 10.7 and it is telling me i need  Mac OS X version 10.6.8. What do i need to do?

1 2 3 Previous Next